// DaisyDemo.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include "utils.h"

int main(int argc, const char* argv[])
{
	int clock_source = 1;
	if (argc > 1)
		clock_source = atoi(argv[1]);
	try {
		CUtils Util(clock_source);
		Util.list_devices();
		Util.detect_daisy_chain_order();
		Util.adjust_pre_trigger_samples();
		Util.fill_daisy_chain_device_information();
		Util.setup_collection();
		Util.setup_daisy_chain();
//		Util.setup_sdcard();
		Util.arm_all();
		Util.enable_daisy_chain_all();
		Util.send_triggers();
		if (Util.wait_for_acquired_all())
		{
			Util.collect_data_all();
			Util.save_data();
		}
	}
	catch (std::string const& Error) {
		fprintf(stderr, "ERROR %s\n", Error.c_str());
	}
}
