#!../../bin/linux-x86_64/adq-test

< envPaths

cd "${TOP}"

## Register all support components
dbLoadDatabase "dbd/adq-test.dbd"
adq_test_registerRecordDeviceDriver pdbbase

## Load library of ADQ module
# LoadDriver required for Linux
# ndsLoadDriver("${ADQ_LIB}/libtspd-adq.so")
# Or for Windows
ndsLoadDriver("tspd-adq.dll")
ndsLoadNamingRules ("${ADQ_SRC}/ADQDeviceNamingRules.ini")

epicsEnvSet("ROOT", "SPD")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06009")
epicsEnvSet("DIGITNO", "A")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06010")
epicsEnvSet("DIGITNO", "B")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06012")
epicsEnvSet("DIGITNO", "C")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06013")
epicsEnvSet("DIGITNO", "D")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06014")
epicsEnvSet("DIGITNO", "E")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06015")
epicsEnvSet("DIGITNO", "F")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06016")
epicsEnvSet("DIGITNO", "G")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06017")
epicsEnvSet("DIGITNO", "H")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06018")
epicsEnvSet("DIGITNO", "I")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06019")
epicsEnvSet("DIGITNO", "J")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06020")
epicsEnvSet("DIGITNO", "K")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ADQSN and DIGITNO each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06021")
epicsEnvSet("DIGITNO", "L")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions4", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")


### ----- 

cd "${TOP}/iocBoot/${IOC}"
iocInit

dbDumpRecord
