#!../../bin/linux-x86_64/adq-test

< envPaths

cd "${TOP}"

## Register all support components
dbLoadDatabase "dbd/adq-test.dbd"
adq_test_registerRecordDeviceDriver pdbbase

## Load library of ADQ module
# LoadDriver required for Linux
# ndsLoadDriver("${ADQ_LIB}/libtspd-adq.so")
# Or for Windows
ndsLoadDriver("tspd-adq.dll")
ndsLoadNamingRules ("${ADQ_SRC}/ADQDeviceNamingRules.ini")

epicsEnvSet("ROOT", "ADQ")
### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06905")
epicsEnvSet("DIGITNO", "A_")


## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

## Enable info logging in NDS, needs a rootNode name
# nds setLogLevelInfo "$(ROOT)-$(DIGITNO)"


### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06906")
epicsEnvSet("DIGITNO", "CM")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06907")
epicsEnvSet("DIGITNO", "EO")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06908")
epicsEnvSet("DIGITNO", "GQ")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06909")
epicsEnvSet("DIGITNO", "IS")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06910")
epicsEnvSet("DIGITNO", "KU")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06911")
epicsEnvSet("DIGITNO", "V_")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06912")
epicsEnvSet("DIGITNO", "BL")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06913")
epicsEnvSet("DIGITNO", "DN")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06914")
epicsEnvSet("DIGITNO", "FP")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06915")
epicsEnvSet("DIGITNO", "HR")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")

### ----- Do this for each digitizer, changing the ROOT each time
# Define serial number of the digitizer
epicsEnvSet("ADQSN", "06916")
epicsEnvSet("DIGITNO", "JT")

## Load record instances
dbLoadTemplate("db/ADQDevice.substitutions8", "PREFIX = $(ROOT)-$(DIGITNO), ADQSN = $(ADQSN)")

## Create device with parameters: driver name (from NDS_DEFINE_DRIVER, not .SO name), rootNode, digitizer's serial number
ndsCreateDevice(tspd_adq, "$(ROOT)-$(DIGITNO)", "ADQSN=$(ADQSN)")


### ----- 

cd "${TOP}/iocBoot/${IOC}"
iocInit

dbDumpRecord
